// dbConfig.js
const mysql = require('mysql');
const nodemailer = require('nodemailer');

const transporter = nodemailer.createTransport({
  host: process.env.CLOUDRON_MAIL_SMTP_SERVER, // Replace with your email server host
  port: process.env.CLOUDRON_MAIL_SMTP_PORT, // Replace with your email server port
  secure: false, // false for non-SSL, true for SSL/TLS
  auth: {
    user: process.env.CLOUDRON_MAIL_SMTP_USERNAME, // Replace with your email username
    pass: process.env.CLOUDRON_MAIL_SMTP_PASSWORD // Replace with your email password
  },
});

const connection = mysql.createConnection({
  host: 'localhost',
  user: 'root',
  password: 'your_new_password1!Q',
  database: 'community_rule',
});

// const mysql = require('mysql2');

// const connection = mysql.createConnection({
//   host: 'localhost',
//   user: 'root',
//   password: 'your_mysql_password',
//   database: 'your_database_name',
// });

connection.connect((err) => {
  if (err) throw err;
  console.log('Connected to the database');
});

module.exports = connection, transporter;

