// apiRoutes.js
const express = require('express');
const router = express.Router();
const ruleController = require('../controllers/ruleController');
const emailController = require('../controllers/emailController');
// router.get('/users', userController.getAllUsers);
router.post('/send_otp', emailController.sendOtp);
router.post('/validate_otp', emailController.validateOtp);
router.post('/publish_rule', ruleController.publishRule);
router.get('/get_rules', ruleController.getRules);
router.delete('/delete_rule', ruleController.deleteRule);
router.get('/get_rule', ruleController.getRule);
// router.post('/publish_rule', ruleController.)
module.exports = router;
